Package org.apache.catalina

## Interface SessionListener

- All Superinterfaces:
    `EventListener`
  All Known Subinterfaces:
    `ReplicatedSessionListener`
  All Known Implementing Classes:
    `ClusterSingleSignOnListener`, `SingleSignOnListener`

      public interface SessionListener
      extends EventListener

  Interface defining a listener for significant Session generated events.
  Author:
    Craig R. McClanahan

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `sessionEvent​(SessionEvent event)` | Acknowledge the occurrence of the specified event.

- - ### Method Detail

    - #### sessionEvent

          void sessionEvent​(SessionEvent event)

      Acknowledge the occurrence of the specified event.
      Parameters:
        `event` - SessionEvent that has occurred